Bug 1206429 - Maintainin local transaction peer list in op-sm framework
Summary: Maintainin local transaction peer list in op-sm framework
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Atin Mukherjee
QA Contact:
URL:
Whiteboard:
Depends On: 1204727
Blocks: glusterfs-3.6.4
TreeView+ depends on / blocked
 
Reported: 2015-03-27 04:35 UTC by Atin Mukherjee
Modified: 2016-01-08 09:19 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.6.4beta2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1204727
Environment:
Last Closed: 2016-01-08 09:19:05 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Atin Mukherjee 2015-03-27 04:35:30 UTC
+++ This bug was initially created as a clone of Bug #1204727 +++

Description of problem:

Just like sync-op in glusterd, op-sm framework also demands maintaining local transaction peer list as concurrent op-sm transactions may corrupt the global peer list just like what we observed in https://bugzilla.redhat.com/show_bug.cgi?id=1173414

Comment 1 Anand Avati 2015-03-27 04:59:38 UTC
REVIEW: http://review.gluster.org/10023 (glusterd: Maintain local xaction_peer list for op-sm) posted (#1) for review on release-3.6 by Atin Mukherjee (amukherj@redhat.com)

Comment 2 Anand Avati 2015-03-27 05:37:38 UTC
REVIEW: http://review.gluster.org/10023 (glusterd: Maintain local xaction_peer list for op-sm) posted (#2) for review on release-3.6 by Atin Mukherjee (amukherj@redhat.com)

Comment 3 Anand Avati 2015-03-28 15:48:32 UTC
REVIEW: http://review.gluster.org/10023 (glusterd: Maintain local xaction_peer list for op-sm) posted (#3) for review on release-3.6 by Atin Mukherjee (amukherj@redhat.com)

Comment 4 Anand Avati 2015-03-29 12:29:04 UTC
REVIEW: http://review.gluster.org/10023 (glusterd: Maintain local xaction_peer list for op-sm) posted (#4) for review on release-3.6 by Atin Mukherjee (amukherj@redhat.com)

Comment 5 Anand Avati 2015-05-28 09:06:46 UTC
COMMIT: http://review.gluster.org/10023 committed in release-3.6 by Raghavendra Bhat (raghavendra@redhat.com) 
------
commit c395ef6539f877cde96d13b66613a1746e628cf7
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Tue Mar 24 11:27:52 2015 +0530

    glusterd: Maintain local xaction_peer list for op-sm
    
    http://review.gluster.org/9269 addresses maintaining local xaction_peers in
    syncop and mgmt_v3 framework. This patch is to maintain local xaction_peers list
    for op-sm framework as well.
    
    Backport of http://review.gluster.org/#/c/9972/
    
    Change-Id: Idd8484463fed196b3b18c2df7f550a3302c6e138
    BUG: 1206429
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9972
    Reviewed-by: Anand Nekkunti <anekkunt@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-on: http://review.gluster.org/10023
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.